Index: trunk/BNC/qwt/qwt_date_scale_engine.cpp
===================================================================
--- trunk/BNC/qwt/qwt_date_scale_engine.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_date_scale_engine.cpp	(revision 9383)
@@ -14,5 +14,5 @@
 #include <limits.h>
 
-static inline double qwtMsecsForType( QwtDate::IntervalType type )
+static inline double qwtMsecsForType( int type )
 {
     static const double msecs[] =
@@ -44,5 +44,5 @@
 
 static double qwtIntervalWidth( const QDateTime &minDate,
-    const QDateTime &maxDate, QwtDate::IntervalType intervalType ) 
+    const QDateTime &maxDate, QwtDate::IntervalType intervalType )
 {
     switch( intervalType )
@@ -80,5 +80,5 @@
         case QwtDate::Month:
         {
-            const double years = 
+            const double years =
                 double( maxDate.date().year() ) - minDate.date().year();
 
@@ -91,5 +91,5 @@
         case QwtDate::Year:
         {
-            double years = 
+            double years =
                 double( maxDate.date().year() ) - minDate.date().year();
 
@@ -104,7 +104,7 @@
 }
 
-static double qwtRoundedIntervalWidth( 
-    const QDateTime &minDate, const QDateTime &maxDate, 
-    QwtDate::IntervalType intervalType ) 
+static double qwtRoundedIntervalWidth(
+    const QDateTime &minDate, const QDateTime &maxDate,
+    QwtDate::IntervalType intervalType )
 {
     const QDateTime minD = QwtDate::floor( minDate, intervalType );
@@ -131,5 +131,5 @@
 }
 
-static int qwtStepSize( int intervalSize, int maxSteps, uint base ) 
+static int qwtStepSize( int intervalSize, int maxSteps, uint base )
 {
     if ( maxSteps <= 0 )
@@ -162,5 +162,5 @@
 }
 
-static int qwtDivideInterval( double intervalSize, int numSteps, 
+static int qwtDivideInterval( double intervalSize, int numSteps,
     const int limits[], size_t numLimits )
 {
@@ -181,5 +181,5 @@
     if ( intervalType != QwtDate::Day )
     {
-        if ( ( intervalSize > numSteps ) && 
+        if ( ( intervalSize > numSteps ) &&
             ( intervalSize <= 2 * numSteps ) )
         {
@@ -196,5 +196,5 @@
         {
             static int limits[] = { 1, 2, 5, 10, 15, 20, 30, 60 };
-    
+
             stepSize = qwtDivideInterval( intervalSize, numSteps,
                 limits, sizeof( limits ) / sizeof( int ) );
@@ -205,5 +205,5 @@
         {
             static int limits[] = { 1, 2, 3, 4, 6, 12, 24 };
-    
+
             stepSize = qwtDivideInterval( intervalSize, numSteps,
                 limits, sizeof( limits ) / sizeof( int ) );
@@ -274,5 +274,5 @@
             if ( stepSize > maxMinSteps )
             {
-                numSteps = qwtStepCount( stepSize, maxMinSteps, 
+                numSteps = qwtStepCount( stepSize, maxMinSteps,
                     limits, sizeof( limits ) / sizeof( int ) );
 
@@ -280,5 +280,5 @@
             else
             {
-                numSteps = qwtStepCount( stepSize * 60, maxMinSteps, 
+                numSteps = qwtStepCount( stepSize * 60, maxMinSteps,
                     limits, sizeof( limits ) / sizeof( int ) );
             }
@@ -359,5 +359,5 @@
                 else
                 {
-                    minStepSize = QwtScaleArithmetic::divideInterval( 
+                    minStepSize = QwtScaleArithmetic::divideInterval(
                         stepSizeInWeeks, maxMinSteps, 10 );
                 }
@@ -401,5 +401,5 @@
                     minStepSize = double( stepSize ) / numSteps;
             }
-                
+
             break;
         }
@@ -445,15 +445,15 @@
 }
 
-static QwtScaleDiv qwtDivideToSeconds( 
+static QwtScaleDiv qwtDivideToSeconds(
     const QDateTime &minDate, const QDateTime &maxDate,
     double stepSize, int maxMinSteps,
-    QwtDate::IntervalType intervalType ) 
+    QwtDate::IntervalType intervalType )
 {
     // calculate the min step size
     double minStepSize = 0;
 
-    if ( maxMinSteps > 1 ) 
-    {
-        minStepSize = qwtDivideMajorStep( stepSize, 
+    if ( maxMinSteps > 1 )
+    {
+        minStepSize = qwtDivideMajorStep( stepSize,
             maxMinSteps, intervalType );
     }
@@ -472,5 +472,5 @@
     const int secondsMajor = static_cast<int>( stepSize * s );
     const double secondsMinor = minStepSize * s;
-    
+
     // UTC excludes daylight savings. So from the difference
     // of a date and its UTC counterpart we can find out
@@ -484,5 +484,5 @@
     QList<double> minorTicks;
 
-    for ( QDateTime dt = minDate; dt <= maxDate; 
+    for ( QDateTime dt = minDate; dt <= maxDate;
         dt = dt.addSecs( secondsMajor ) )
     {
@@ -501,5 +501,5 @@
                 // we add some minor ticks for the DST hour,
                 // otherwise the ticks will be unaligned: 0, 2, 3, 5 ...
-                minorTicks += qwtDstTicks( 
+                minorTicks += qwtDstTicks(
                     dt, secondsMajor, qRound( secondsMinor ) );
             }
@@ -517,5 +517,5 @@
             for ( int i = 1; i < numMinorSteps; i++ )
             {
-                const QDateTime mt = dt.addMSecs( 
+                const QDateTime mt = dt.addMSecs(
                     qRound64( i * secondsMinor * 1000 ) );
 
@@ -529,5 +529,5 @@
                 if ( minorTicks.isEmpty() || minorTicks.last() != minorValue )
                 {
-                    const bool isMedium = ( numMinorSteps % 2 == 0 ) 
+                    const bool isMedium = ( numMinorSteps % 2 == 0 )
                         && ( i != 1 ) && ( i == numMinorSteps / 2 );
 
@@ -553,14 +553,14 @@
 }
 
-static QwtScaleDiv qwtDivideToMonths( 
+static QwtScaleDiv qwtDivideToMonths(
     QDateTime &minDate, const QDateTime &maxDate,
-    double stepSize, int maxMinSteps ) 
-{
-    // months are intervals with non 
-    // equidistant ( in ms ) steps: we have to build the 
+    double stepSize, int maxMinSteps )
+{
+    // months are intervals with non
+    // equidistant ( in ms ) steps: we have to build the
     // scale division manually
 
     int minStepDays = 0;
-    int minStepSize = 0.0; 
+    int minStepSize = 0.0;
 
     if ( maxMinSteps > 1 )
@@ -579,5 +579,5 @@
         else
         {
-            minStepSize = qwtDivideMajorStep( 
+            minStepSize = qwtDivideMajorStep(
                 stepSize, maxMinSteps, QwtDate::Month );
         }
@@ -588,5 +588,5 @@
     QList<double> minorTicks;
 
-    for ( QDateTime dt = minDate; 
+    for ( QDateTime dt = minDate;
         dt <= maxDate; dt = dt.addMonths( stepSize ) )
     {
@@ -598,5 +598,5 @@
         if ( minStepDays > 0 )
         {
-            for ( int days = minStepDays; 
+            for ( int days = minStepDays;
                 days < 30; days += minStepDays )
             {
@@ -637,7 +637,7 @@
 }
 
-static QwtScaleDiv qwtDivideToYears( 
+static QwtScaleDiv qwtDivideToYears(
     const QDateTime &minDate, const QDateTime &maxDate,
-    double stepSize, int maxMinSteps ) 
+    double stepSize, int maxMinSteps )
 {
     QList<double> majorTicks;
@@ -649,5 +649,5 @@
     if ( maxMinSteps > 1 )
     {
-        minStepSize = qwtDivideMajorStep( 
+        minStepSize = qwtDivideMajorStep(
             stepSize, maxMinSteps, QwtDate::Year );
     }
@@ -702,5 +702,5 @@
             break;
         }
-    }   
+    }
 
     QwtScaleDiv scaleDiv;
@@ -730,5 +730,5 @@
     QwtDate::Week0Type week0Type;
     int maxWeeks;
-};      
+};
 
 
@@ -736,5 +736,5 @@
   \brief Constructor
 
-  The engine is initialized to build scales for the 
+  The engine is initialized to build scales for the
   given time specification. It classifies intervals > 4 weeks
   as >= Qt::Month. The first week of a year is defined like
@@ -811,5 +811,5 @@
   \sa week0Type(), setMaxWeeks()
   \note week0Type has no effect beside for intervals classified as
-        QwtDate::Week. 
+        QwtDate::Week.
  */
 void QwtDateScaleEngine::setWeek0Type( QwtDate::Week0Type week0Type )
@@ -819,5 +819,5 @@
 
 /*!
-  \return Setting how to identify the first week of a year. 
+  \return Setting how to identify the first week of a year.
   \sa setWeek0Type(), maxWeeks()
  */
@@ -835,7 +835,7 @@
   \param weeks Upper limit for the number of weeks
 
-  \note In business charts a year is often devided
+  \note In business charts a year is often divided
         into weeks [1-52]
-  \sa maxWeeks(), setWeek0Type() 
+  \sa maxWeeks(), setWeek0Type()
  */
 void QwtDateScaleEngine::setMaxWeeks( int weeks )
@@ -863,6 +863,6 @@
   \return Interval classification
  */
-QwtDate::IntervalType QwtDateScaleEngine::intervalType( 
-    const QDateTime &minDate, const QDateTime &maxDate, 
+QwtDate::IntervalType QwtDateScaleEngine::intervalType(
+    const QDateTime &minDate, const QDateTime &maxDate,
     int maxSteps ) const
 {
@@ -910,9 +910,9 @@
   Align and divide an interval
 
-  The algorithm aligns and divides the interval into steps. 
+  The algorithm aligns and divides the interval into steps.
 
   Datetime interval divisions are usually not equidistant and the
   calculated stepSize can only be used as an approximation
-  for the steps calculated by divideScale(). 
+  for the steps calculated by divideScale().
 
   \param maxNumSteps Max. number of steps
@@ -951,5 +951,5 @@
             maxNumSteps = 1;
 
-        const QwtDate::IntervalType intvType = 
+        const QwtDate::IntervalType intvType =
             intervalType( from, to, maxNumSteps );
 
@@ -1015,5 +1015,5 @@
     }
 
-    const QwtDate::IntervalType intvType = 
+    const QwtDate::IntervalType intvType =
         intervalType( from, to, maxMajorSteps );
 
@@ -1031,5 +1031,5 @@
         const QDateTime maxDate = QwtDate::ceil( to, intvType );
 
-        scaleDiv = buildScaleDiv( minDate, maxDate, 
+        scaleDiv = buildScaleDiv( minDate, maxDate,
             maxMajorSteps, maxMinorSteps, intvType );
 
@@ -1046,5 +1046,5 @@
 }
 
-QwtScaleDiv QwtDateScaleEngine::buildScaleDiv( 
+QwtScaleDiv QwtDateScaleEngine::buildScaleDiv(
     const QDateTime &minDate, const QDateTime &maxDate,
     int maxMajorSteps, int maxMinorSteps,
@@ -1052,6 +1052,6 @@
 {
     // calculate the step size
-    const double stepSize = qwtDivideScale( 
-        qwtIntervalWidth( minDate, maxDate, intervalType ), 
+    const double stepSize = qwtDivideScale(
+        qwtIntervalWidth( minDate, maxDate, intervalType ),
         maxMajorSteps, intervalType );
 
@@ -1060,5 +1060,5 @@
     if ( !dt0.isValid() )
     {
-        // the floored date is out of the range of a 
+        // the floored date is out of the range of a
         // QDateTime - we ceil instead.
         dt0 = alignDate( minDate, stepSize, intervalType, true );
@@ -1069,5 +1069,5 @@
     if ( intervalType <= QwtDate::Week )
     {
-        scaleDiv = qwtDivideToSeconds( dt0, maxDate, 
+        scaleDiv = qwtDivideToSeconds( dt0, maxDate,
             stepSize, maxMinorSteps, intervalType );
     }
@@ -1094,5 +1094,5 @@
 
   For Qt::Day alignments there is no "natural day 0" -
-  instead the first day of the year is used to avoid jumping 
+  instead the first day of the year is used to avoid jumping
   major ticks positions when panning a scale. For other alignments
   ( f.e according to the first day of the month ) alignDate()
@@ -1106,6 +1106,6 @@
   \return Aligned date/time value
  */
-QDateTime QwtDateScaleEngine::alignDate( 
-    const QDateTime &dateTime, double stepSize, 
+QDateTime QwtDateScaleEngine::alignDate(
+    const QDateTime &dateTime, double stepSize,
     QwtDate::IntervalType intervalType, bool up ) const
 {
@@ -1123,5 +1123,5 @@
         case QwtDate::Millisecond:
         {
-            const int ms = qwtAlignValue( 
+            const int ms = qwtAlignValue(
                 dt.time().msec(), stepSize, up ) ;
 
@@ -1293,5 +1293,5 @@
     if ( !dt.isValid() )
     {
-        const QDate date = ( value <= 0.0 ) 
+        const QDate date = ( value <= 0.0 )
             ? QwtDate::minDate() : QwtDate::maxDate();
 
Index: trunk/BNC/qwt/qwt_dial.cpp
===================================================================
--- trunk/BNC/qwt/qwt_dial.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_dial.cpp	(revision 9383)
@@ -238,5 +238,5 @@
     const QRect cr = contentsRect();
 
-    const double dim = qMin( cr.width(), cr.height() );
+    const int dim = qMin( cr.width(), cr.height() );
 
     QRect inner( 0, 0, dim, dim );
@@ -338,5 +338,5 @@
         p.setRenderHint( QPainter::Antialiasing, true );
         p.translate( -r.topLeft() );
-            
+
         if ( d_data->mode != QwtDial::RotateScale )
             drawContents( &p );
@@ -475,5 +475,5 @@
   \param radius Radius of the scale
 */
-void QwtDial::drawScale( QPainter *painter, 
+void QwtDial::drawScale( QPainter *painter,
     const QPointF &center, double radius ) const
 {
@@ -568,7 +568,7 @@
 
   The motivation for setting a scale draw is often
-  to overload QwtRoundScaleDraw::label() to return 
+  to overload QwtRoundScaleDraw::label() to return
   individual tick labels.
-  
+
   \param scaleDraw Scale draw
   \warning The previous scale draw is deleted
@@ -601,5 +601,5 @@
         maxScaleArc = minScaleArc + 360.0;
 
-    if ( ( minScaleArc != d_data->minScaleArc ) || 
+    if ( ( minScaleArc != d_data->minScaleArc ) ||
         ( maxScaleArc != d_data->maxScaleArc ) )
     {
@@ -612,5 +612,5 @@
 }
 
-/*! 
+/*!
   Set the lower limit for the scale arc
 
@@ -623,5 +623,5 @@
 }
 
-/*! 
+/*!
   \return Lower limit of the scale arc
   \sa setScaleArc()
@@ -632,5 +632,5 @@
 }
 
-/*! 
+/*!
   Set the upper limit for the scale arc
 
@@ -643,5 +643,5 @@
 }
 
-/*! 
+/*!
   \return Upper limit of the scale arc
   \sa setScaleArc()
@@ -691,5 +691,5 @@
     const int d = 6 * sh + 2 * lineWidth();
 
-    QSize hint( d, d ); 
+    QSize hint( d, d );
     if ( !isReadOnly() )
         hint = hint.expandedTo( QApplication::globalStrut() );
@@ -718,5 +718,5 @@
   \param pos Mouse position
 
-  \retval True, when the inner circle contains pos 
+  \retval True, when the inner circle contains pos
   \sa scrolledTo()
 */
@@ -730,5 +730,5 @@
             angle = 360.0 - angle;
 
-        double valueAngle = 
+        double valueAngle =
             qwtNormalizeDegrees( 90.0 - scaleMap().transform( value() ) );
 
@@ -775,5 +775,5 @@
             if ( qAbs( arc ) > 180.0 )
             {
-                boundedAngle = ( arc > 0 ) 
+                boundedAngle = ( arc > 0 )
                     ? scaleMap().p1() : scaleMap().p2();
             }
@@ -821,5 +821,5 @@
             break;
     }
-    
+
     QwtAbstractSlider::changeEvent( event );
 }
@@ -847,5 +847,5 @@
 
 /*!
-  Invalidate the internal caches and call 
+  Invalidate the internal caches and call
   QwtAbstractSlider::scaleChange()
  */
Index: trunk/BNC/qwt/qwt_dial.h
===================================================================
--- trunk/BNC/qwt/qwt_dial.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_dial.h	(revision 9383)
@@ -104,10 +104,10 @@
     Mode mode() const;
 
-    void setScaleArc( double min, double max );
+    void setScaleArc( double minArc, double maxArc );
 
-    void setMinScaleArc( double min );
+    void setMinScaleArc( double );
     double minScaleArc() const;
 
-    void setMaxScaleArc( double min );
+    void setMaxScaleArc( double );
     double maxScaleArc() const;
 
@@ -137,5 +137,5 @@
     virtual void changeEvent( QEvent * );
 
-    virtual void drawFrame( QPainter *p );
+    virtual void drawFrame( QPainter * );
     virtual void drawContents( QPainter * ) const;
     virtual void drawFocusIndicator( QPainter * ) const;
@@ -143,8 +143,8 @@
     void invalidateCache();
 
-    virtual void drawScale( QPainter *, 
+    virtual void drawScale( QPainter *,
         const QPointF &center, double radius ) const;
 
-    virtual void drawScaleContents( QPainter *painter, 
+    virtual void drawScaleContents( QPainter *painter,
         const QPointF &center, double radius ) const;
 
Index: trunk/BNC/qwt/qwt_dial_needle.cpp
===================================================================
--- trunk/BNC/qwt/qwt_dial_needle.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_dial_needle.cpp	(revision 9383)
@@ -14,4 +14,5 @@
 #include <qapplication.h>
 #include <qpainter.h>
+#include <qpainterpath.h>
 
 #if QT_VERSION < 0x040601
@@ -67,5 +68,5 @@
 }
 
-static void qwtDrawShadedPointer( QPainter *painter, 
+static void qwtDrawShadedPointer( QPainter *painter,
     const QColor &lightColor, const QColor &darkColor,
     double length, double width )
@@ -171,8 +172,8 @@
 
     QColor color[4];
-    color[0] = darkColor.light( 100 + colorOffset );
-    color[1] = darkColor.dark( 100 + colorOffset );
-    color[2] = lightColor.light( 100 + colorOffset );
-    color[3] = lightColor.dark( 100 + colorOffset );
+    color[0] = darkColor.lighter( 100 + colorOffset );
+    color[1] = darkColor.darker( 100 + colorOffset );
+    color[2] = lightColor.lighter( 100 + colorOffset );
+    color[3] = lightColor.darker( 100 + colorOffset );
 
     painter->setPen( Qt::NoPen );
@@ -223,6 +224,6 @@
   \param colorGroup Color group, used for painting
 */
-void QwtDialNeedle::draw( QPainter *painter, 
-    const QPointF &center, double length, double direction, 
+void QwtDialNeedle::draw( QPainter *painter,
+    const QPointF &center, double length, double direction,
     QPalette::ColorGroup colorGroup ) const
 {
@@ -316,5 +317,5 @@
  \param colorGroup Color group, used for painting
 */
-void QwtDialSimpleNeedle::drawNeedle( QPainter *painter, 
+void QwtDialSimpleNeedle::drawNeedle( QPainter *painter,
     double length, QPalette::ColorGroup colorGroup ) const
 {
@@ -327,5 +328,5 @@
             width = qMax(length * 0.06, 6.0);
 
-        qwtDrawArrowNeedle( painter, 
+        qwtDrawArrowNeedle( painter,
             palette(), colorGroup, length, width );
 
@@ -336,8 +337,8 @@
         if ( width <= 0.0 )
             width = 5.0;
-        
+
         QPen pen ( palette().brush( colorGroup, QPalette::Mid ), width );
         pen.setCapStyle( Qt::FlatCap );
-    
+
         painter->setPen( pen );
         painter->drawLine( QPointF( 0.0, 0.0 ), QPointF( length, 0.0 ) );
@@ -373,5 +374,5 @@
     \param colorGroup Color group, used for painting
 */
-void QwtCompassMagnetNeedle::drawNeedle( QPainter *painter, 
+void QwtCompassMagnetNeedle::drawNeedle( QPainter *painter,
     double length, QPalette::ColorGroup colorGroup ) const
 {
@@ -386,15 +387,15 @@
 
         qwtDrawShadedPointer( painter,
-            dark.light( 100 + colorOffset ),
-            dark.dark( 100 + colorOffset ),
+            dark.lighter( 100 + colorOffset ),
+            dark.darker( 100 + colorOffset ),
             length, width );
-        
+
         painter->rotate( 180.0 );
-    
+
         qwtDrawShadedPointer( painter,
-            light.light( 100 + colorOffset ),
-            light.dark( 100 + colorOffset ),
+            light.lighter( 100 + colorOffset ),
+            light.darker( 100 + colorOffset ),
             length, width );
-        
+
         const QBrush baseBrush = palette().brush( colorGroup, QPalette::Base );
         drawKnob( painter, width, baseBrush, true );
@@ -431,5 +432,5 @@
  \param colorGroup Color group, used for painting
 */
-void QwtCompassWindArrow::drawNeedle( QPainter *painter, 
+void QwtCompassWindArrow::drawNeedle( QPainter *painter,
     double length, QPalette::ColorGroup colorGroup ) const
 {
Index: trunk/BNC/qwt/qwt_dyngrid_layout.h
===================================================================
--- trunk/BNC/qwt/qwt_dyngrid_layout.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_dyngrid_layout.h	(revision 9383)
@@ -29,6 +29,6 @@
     Q_OBJECT
 public:
-    explicit QwtDynGridLayout( QWidget *, int margin = 0, int space = -1 );
-    explicit QwtDynGridLayout( int space = -1 );
+    explicit QwtDynGridLayout( QWidget *, int margin = 0, int spacing = -1 );
+    explicit QwtDynGridLayout( int spacing = -1 );
 
     virtual ~QwtDynGridLayout();
@@ -36,5 +36,5 @@
     virtual void invalidate();
 
-    void setMaxColumns( uint maxCols );
+    void setMaxColumns( uint maxColumns );
     uint maxColumns() const;
 
@@ -50,5 +50,5 @@
     void setExpandingDirections( Qt::Orientations );
     virtual Qt::Orientations expandingDirections() const;
-    QList<QRect> layoutItems( const QRect &, uint numCols ) const;
+    QList<QRect> layoutItems( const QRect &, uint numColumns ) const;
 
     virtual int maxItemWidth() const;
@@ -68,12 +68,12 @@
 protected:
 
-    void layoutGrid( uint numCols,
+    void layoutGrid( uint numColumns,
         QVector<int>& rowHeight, QVector<int>& colWidth ) const;
-    void stretchGrid( const QRect &rect, uint numCols,
+    void stretchGrid( const QRect &rect, uint numColumns,
         QVector<int>& rowHeight, QVector<int>& colWidth ) const;
 
 private:
     void init();
-    int maxRowWidth( int numCols ) const;
+    int maxRowWidth( int numColumns ) const;
 
     class PrivateData;
Index: trunk/BNC/qwt/qwt_event_pattern.h
===================================================================
--- trunk/BNC/qwt/qwt_event_pattern.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_event_pattern.h	(revision 9383)
@@ -44,10 +44,10 @@
     enum MousePatternCode
     {
-        /*! 
-          The default setting for 1, 2 and 3 button mice is:
-
-          - Qt::LeftButton 
-          - Qt::LeftButton 
-          - Qt::LeftButton 
+        /*!
+          The default setting for 1, 2 and 3 button mice is:
+
+          - Qt::LeftButton
+          - Qt::LeftButton
+          - Qt::LeftButton
          */
         MouseSelect1,
@@ -150,5 +150,5 @@
     public:
         //! Constructor
-        MousePattern( Qt::MouseButton btn = Qt::NoButton, 
+        MousePattern( Qt::MouseButton btn = Qt::NoButton,
                 Qt::KeyboardModifiers modifierCodes = Qt::NoModifier ):
             button( btn ),
@@ -157,5 +157,5 @@
         }
 
-        //! Button 
+        //! Button
         Qt::MouseButton button;
 
@@ -169,5 +169,5 @@
     public:
         //! Constructor
-        KeyPattern( int keyCode = Qt::Key_unknown, 
+        KeyPattern( int keyCode = Qt::Key_unknown,
                 Qt::KeyboardModifiers modifierCodes = Qt::NoModifier ):
             key( keyCode ),
@@ -189,9 +189,9 @@
     void initKeyPattern();
 
-    void setMousePattern( MousePatternCode, Qt::MouseButton button, 
+    void setMousePattern( MousePatternCode, Qt::MouseButton button,
         Qt::KeyboardModifiers = Qt::NoModifier );
 
-    void setKeyPattern( KeyPatternCode, int keyCode, 
-        Qt::KeyboardModifiers modifierCodes = Qt::NoModifier );
+    void setKeyPattern( KeyPatternCode, int key,
+        Qt::KeyboardModifiers modifiers = Qt::NoModifier );
 
     void setMousePattern( const QVector<MousePattern> & );
Index: trunk/BNC/qwt/qwt_global.h
===================================================================
--- trunk/BNC/qwt/qwt_global.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_global.h	(revision 9383)
@@ -15,6 +15,6 @@
 // QWT_VERSION is (major << 16) + (minor << 8) + patch.
 
-#define QWT_VERSION       0x060104
-#define QWT_VERSION_STR   "6.1.4"
+#define QWT_VERSION       0x060106
+#define QWT_VERSION_STR   "6.1.6"
 
 #if defined(_MSC_VER) /* MSVC Compiler */
@@ -27,8 +27,8 @@
 #ifdef QWT_DLL
 
-#if defined(QWT_MAKEDLL)     // create a Qwt DLL library 
+#if defined(QWT_MAKEDLL)     // create a Qwt DLL library
 #define QWT_EXPORT Q_DECL_EXPORT
 #else                        // use a Qwt DLL library
-#define QWT_EXPORT Q_DECL_IMPORT 
+#define QWT_EXPORT Q_DECL_IMPORT
 #endif
 
@@ -39,3 +39,3 @@
 #endif
 
-#endif 
+#endif
Index: trunk/BNC/qwt/qwt_interval.h
===================================================================
--- trunk/BNC/qwt/qwt_interval.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_interval.h	(revision 9383)
@@ -28,5 +28,5 @@
 public:
     /*!
-      Flag indicating if a border is included or excluded 
+      Flag indicating if a border is included or excluded
       \sa setBorderFlags(), borderFlags()
     */
@@ -58,5 +58,5 @@
     QwtInterval normalized() const;
     QwtInterval inverted() const;
-    QwtInterval limited( double minValue, double maxValue ) const;
+    QwtInterval limited( double lowerBound, double upperBound ) const;
 
     bool operator==( const QwtInterval & ) const;
@@ -232,5 +232,5 @@
 /*!
    \brief Intersection of two intervals
- 
+
    \param other Interval to intersect with
    \return Intersection of this and other
@@ -258,5 +258,5 @@
 }
 
-/*! 
+/*!
    \brief Compare two intervals
 
@@ -270,5 +270,5 @@
            ( d_borderFlags == other.d_borderFlags );
 }
-/*! 
+/*!
    \brief Compare two intervals
 
Index: trunk/BNC/qwt/qwt_interval_symbol.h
===================================================================
--- trunk/BNC/qwt/qwt_interval_symbol.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_interval_symbol.h	(revision 9383)
@@ -66,5 +66,5 @@
     int width() const;
 
-    void setBrush( const QBrush& b );
+    void setBrush( const QBrush & );
     const QBrush& brush() const;
 
@@ -80,5 +80,4 @@
 
 private:
-
     class PrivateData;
     PrivateData* d_data;
Index: trunk/BNC/qwt/qwt_knob.h
===================================================================
--- trunk/BNC/qwt/qwt_knob.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_knob.h	(revision 9383)
@@ -26,7 +26,7 @@
   The layout of the knob depends on the knobWidth().
 
-  - width > 0 
+  - width > 0
     The diameter of the knob is fixed and the knob is aligned
-    according to the alignment() flags inside of the contentsRect(). 
+    according to the alignment() flags inside of the contentsRect().
 
   - width <= 0
@@ -36,5 +36,5 @@
   Setting a fixed knobWidth() is helpful to align several knobs with different
   scale labels.
-  
+
   \image html knob.png
 */
@@ -56,5 +56,5 @@
 
 public:
-    /*! 
+    /*!
        \brief Style of the knob surface
 
@@ -72,5 +72,5 @@
         Raised,
 
-        /*! 
+        /*!
           Build a gradient from QPalette::Midlight, QPalette::Button
           and QPalette::Midlight
@@ -78,5 +78,5 @@
         Sunken,
 
-        /*! 
+        /*!
           Build a radial gradient from QPalette::Button
           like it is used for QDial in various Qt styles.
@@ -87,5 +87,5 @@
     /*!
         \brief Marker type
- 
+
         The marker indicates the current value on the knob
         The default setting is a Notch marker.
@@ -93,29 +93,29 @@
         \sa setMarkerStyle(), setMarkerSize()
     */
-    enum MarkerStyle 
-    { 
+    enum MarkerStyle
+    {
         //! Don't paint any marker
         NoMarker = -1,
 
         //! Paint a single tick in QPalette::ButtonText color
-        Tick, 
+        Tick,
 
         //! Paint a triangle in QPalette::ButtonText color
-        Triangle, 
+        Triangle,
 
         //! Paint a circle in QPalette::ButtonText color
-        Dot, 
+        Dot,
 
-        /*! 
+        /*!
           Draw a raised ellipse with a gradient build from
           QPalette::Light and QPalette::Mid
-         */ 
-        Nub, 
+         */
+        Nub,
 
-        /*! 
+        /*!
           Draw a sunken ellipse with a gradient build from
           QPalette::Light and QPalette::Mid
-         */ 
-        Notch 
+         */
+        Notch
     };
 
@@ -138,5 +138,5 @@
     KnobStyle knobStyle() const;
 
-    void setBorderWidth( int bw );
+    void setBorderWidth( int );
     int borderWidth() const;
 
@@ -165,6 +165,6 @@
     virtual void drawFocusIndicator( QPainter * ) const;
 
-    virtual void drawMarker( QPainter *, 
-        const QRectF &, double arc ) const;
+    virtual void drawMarker( QPainter *,
+        const QRectF &, double angle ) const;
 
     virtual double scrolledTo( const QPoint & ) const;
